package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.distributed.print.business.bean.result.report.PaperStructResult;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 报告课程目标考核分布dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReportCourseEvaluationSpreadDto implements Serializable {

    @ApiModelProperty(value = "题目信息集合")
    private List<PaperStructResult> questionInfo;

    @ApiModelProperty(value = "分数图")
    private List<ReportScoreViewDto> scoreList;

    public List<PaperStructResult> getQuestionInfo() {
        return questionInfo;
    }

    public void setQuestionInfo(List<PaperStructResult> questionInfo) {
        this.questionInfo = questionInfo;
    }

    public List<ReportScoreViewDto> getScoreList() {
        return scoreList;
    }

    public void setScoreList(List<ReportScoreViewDto> scoreList) {
        this.scoreList = scoreList;
    }
}
