package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.entity.BasicTeachClazz;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.SysUser;

/**
 * <p>
 * 基础教学班表 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-02-22
 */
public interface BasicTeachClazzService extends IService<BasicTeachClazz> {

    /**
     * 查询或新增教学班
     *
     * @param requestUser    请求人
     * @param examId         考试id
     * @param teachClazzName 教学班名称
     * @param courseCode     课程编号
     * @return 教学班
     */
    BasicTeachClazz findOrCreateBasicTeachClazz(SysUser requestUser, Long examId, String courseCode, String teachClazzName);
}
