package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 报告课程考核成绩评价结果dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReportCourseEvaluationResultDto implements Serializable {

    @ApiModelProperty(value = "课程总目标")
    private String target;

    @ApiModelProperty(value = "课程目标达成评价值")
    private String targetValue;

    @ApiModelProperty(value = "目标达成评价值")
    private String evaluationValue;

    @ApiModelProperty(value = "课程目标集合")
    private List<CourseTargetDto> targetList;

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getTargetValue() {
        return targetValue;
    }

    public void setTargetValue(String targetValue) {
        this.targetValue = targetValue;
    }

    public String getEvaluationValue() {
        return evaluationValue;
    }

    public void setEvaluationValue(String evaluationValue) {
        this.evaluationValue = evaluationValue;
    }

    public List<CourseTargetDto> getTargetList() {
        return targetList;
    }

    public void setTargetList(List<CourseTargetDto> targetList) {
        this.targetList = targetList;
    }
}
